=== modified file 'bzrlib/plugins/launchpad/test_lp_api.py'
--- bzrlib/plugins/launchpad/test_lp_api.py	2009-12-17 03:40:41 +0000
+++ bzrlib/plugins/launchpad/test_lp_api.py	2009-12-17 03:42:29 +0000
@@ -45,6 +45,9 @@
         self.assertEqual((1, 5, 1), version_info)
 
     def test_supported_launchpadlib_version(self):
+        # If the installed version of launchpadlib is greater than the minimum
+        # required version of launchpadlib, check_launchpadlib_compatibility
+        # doesn't raise an error.
         launchpadlib = launchpadlib_feature.module
         self.patch(launchpadlib, '__version__', '1.5.1')
         self.lp_api.MINIMUM_LAUNCHPADLIB_VERSION = (1, 5, 1)
@@ -52,6 +55,9 @@
         self.lp_api.check_launchpadlib_compatibility()
 
     def test_unsupported_launchpadlib_version(self):
+        # If the installed version of launchpadlib is less than the minimum
+        # required version of launchpadlib, check_launchpadlib_compatibility
+        # raises an IncompatibleAPI error.
         launchpadlib = launchpadlib_feature.module
         self.patch(launchpadlib, '__version__', '1.5.0')
         self.lp_api.MINIMUM_LAUNCHPADLIB_VERSION = (1, 5, 1)

